hpp-constraints: Eigen Namespace Reference

hpp-constraints 9.0.2 Definition of basic geometric constraints for motion planning

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions | Variables
Eigen Namespace Reference

## Namespaces
namespace | internal

## Classes
struct | BlockIndex
class | MatrixBlocks
class | MatrixBlocksBase
class | MatrixBlocksRef
class | MatrixBlockView

## Typedefs
typedef const Rhs_t::template block_t< typenameRhs_t::ArgType >::type | BlockRhs
typedef CwiseBinaryOp< BinaryOp, BlockLhs, BlockRhs > | BlockCwiseBOp
typedef Eigen::MatrixBlocks< false, true > | RowBlockIndices
typedef Eigen::MatrixBlocks< true, false > | ColBlockIndices

## Functions
| HPP_EIGEN_SPECIALIZE_CwiseBinaryOpImpl (HPP_EIGEN_LHS_TPL, HPP_EIGEN_LHS_TYPE, HPP_EIGEN_RHS_TPL, HPP_EIGEN_RHS_TYPE) HPP_EIGEN_DEFINE_CwiseBinaryOpImpl_evalTo(HPP_EIGEN_LHS_TPL
| for (typename Rhs_t::block_iterator block(d.rhs());block.valid();++block)
| for (typename Lhs_t::block_iterator block(d.lhs());block.valid();++block)
| assert (d.lhs()._blocks()==d.rhs()._blocks())
Lhs_t::block_iterator | lblock (d.lhs())
Rhs_t::block_iterator | rblock (d.rhs())
| while (lblock.valid())
| assert (!lblock.valid() &&!rblock.valid())
template<typename Derived >
std::ostream & | operator<< (std::ostream &os, const MatrixBlocksBase< Derived > &mbi)

## Variables
| HPP_EIGEN_LHS_TYPE
| HPP_EIGEN_RHS_TPL
| HPP_EIGEN_RHS_TYPE
const Derived & | d = derived()

## Detailed Description

Copyright (c) 2014 CNRS Authors: Florent Lamiraux

## Typedef Documentation

## ◆ BlockCwiseBOp

typedef CwiseBinaryOp< BinaryOp, BlockLhs, BlockRhs > Eigen::BlockCwiseBOp

## ◆ BlockRhs

typedef const Rhs_t::template block_t< typenameRhs_t::ArgType >::type Eigen::BlockRhs

## Function Documentation

## ◆ assert() [1/2]

Eigen::assert | ( | !lblock. | valid) &&!rblock.valid( | ) |

## ◆ assert() [2/2]

Eigen::assert | ( | d. | lhs)._blocks( = =d.rhs()._blocks() | ) |

## ◆ for() [1/2]

Eigen::for | ( | typename Lhs_t::block_iterator block(d.lhs());block.valid();++ | block | ) |

## ◆ for() [2/2]

Eigen::for | ( | typename Rhs_t::block_iterator block(d.rhs());block.valid();++ | block | ) |

## ◆ HPP_EIGEN_SPECIALIZE_CwiseBinaryOpImpl()

Eigen::HPP_EIGEN_SPECIALIZE_CwiseBinaryOpImpl | ( | HPP_EIGEN_LHS_TPL | ,
|  | HPP_EIGEN_LHS_TYPE | ,
|  | HPP_EIGEN_RHS_TPL | ,
|  | HPP_EIGEN_RHS_TYPE | )

## ◆ lblock()

Lhs_t::block_iterator Eigen::lblock | ( | d. | lhs() | ) |

## ◆ rblock()

Rhs_t::block_iterator Eigen::rblock | ( | d. | rhs() | ) |

## ◆ while()

Eigen::while | ( | lblock. | valid() | ) |

## Variable Documentation

## ◆ d

const Derived & Eigen::d = derived()

## ◆ HPP_EIGEN_LHS_TYPE

Eigen::HPP_EIGEN_LHS_TYPE

## ◆ HPP_EIGEN_RHS_TPL

Eigen::HPP_EIGEN_RHS_TPL

## ◆ HPP_EIGEN_RHS_TYPE

Eigen::HPP_EIGEN_RHS_TYPE

Initial value:
{
typedef const Block<Lhs_t> BlockLhs